Bug 102390 - centroid interpolation causes broken attribute values
Summary: centroid interpolation causes broken attribute values
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Vulkan/radeon (show other bugs)
Version: git
Hardware: All All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-24 15:10 UTC by timon
Modified: 2018-05-21 11:59 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description timon 2017-08-24 15:10:00 UTC
If I add the the centroid interpolation decoration to any attribute:
- the values will be mostly broken (maybe just the first vertex in each triangle is ok? hard to tell)
- and there will be block-like screen-space artifacts flickering all over the geometry

I can't provide a screenshot unfortunately.
My GPU: [AMD/ATI] Bonaire XTX [Radeon R7 260X/360] PCI ID 1002:6658
Running with the amdgpu kernel module, linux 4.12.8.
Comment 1 timon 2017-08-24 15:12:46 UTC
(In reply to timon from comment #0)
> If I add the the centroid interpolation decoration to any attribute:
> - the values will be mostly broken

To clarify the values for that attribute only, the rest are fine.
Also this happens when running without MSAA (can't test with atm).
Comment 2 Samuel Pitoiset 2018-04-10 20:12:07 UTC
Hi timon,

Can you still reproduce the problem? If so, can you attach a simple test case?

Thanks!
Comment 3 Samuel Pitoiset 2018-05-21 11:59:33 UTC
I think the original report was correct and the issue should most likely be fixed in master with https://cgit.freedesktop.org/mesa/mesa/commit/?id=73df16dcee79e2281c8d8a830dbbe6655359c82d


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.